<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Liste des Tâches</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f5f5f5;
            margin: 0;
            padding: 0;
        }

        .container {
            max-width: 800px;
            margin: 20px auto;
            padding: 20px;
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }

        h1 {
            color: #333;
            text-align: center;
            margin-bottom: 20px;
        }

        a {
            text-decoration: none;
            color: #007bff;
        }

        .button {
            display: inline-block;
            background-color: #007bff;
            color: #fff;
            padding: 10px 20px;
            border-radius: 5px;
            text-decoration: none;
            transition: background-color 0.3s ease;
        }

        .button:hover {
            background-color: #0056b3;
        }

        ul {
            list-style-type: none;
            padding: 0;
        }

        li {
            margin-bottom: 10px;
            padding: 10px;
            background-color: #f9f9f9;
            border-radius: 5px;
        }

        .task-title {
            font-weight: bold;
            margin-bottom: 5px;
        }

        .task-status {
            color: #28a745;
        }

        .task-actions {
            display: inline-block;
            margin-left: 10px;
        }

        .task-actions a {
            margin-right: 5px;
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Liste des Tâches</h1>
        <a href="{% url 'task_create' %}" class="button">Créer une nouvelle tâche</a>
        <ul>
            {% for task in tasks %}
                <li>
                    <div class="task-title">{{ task.title }}</div>
                    <div class="task-status">Statut : {{ task.completed|yesno:"Terminée,Non Terminée" }}</div>
                    <div class="task-actions">
                        <a href="{% url 'task_detail' task.id %}">Détails</a>
                        <a href="{% url 'task_update' task.id %}">Éditer</a>
                        <a href="{% url 'task_delete' task.id %}">Supprimer</a>
                    </div>
                </li>
            {% empty %}
                <li>Aucune tâche disponible.</li>
            {% endfor %}
        </ul>
    </div>
</body>
</html>
